Subject: Re: bug#31094: Code for second solution

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 Apr 2018 16:06:25 +0300

> Date: Sun, 8 Apr 2018 07:09:01 -0400
> From: Boruch Baum <[email-masked]>
> 
> Attached is code for the second solution idea that I mrentioned in my
> first post. Note that these approaches are complementary and
> independent; I would advocate for both being adopted.
> 
> Do note that this 'breaks' a feature formerly available. Prior, pressing
> return on an entry would display documentation for that entry; Now one
> must press `C-h v' / `C-h f' etc.

Why not do this the other way around: make apropos-value present a
shorter list when invoked with some special value of the prefix
argument?  Or even make this a new command?  That way, people's muscle
memory doesn't need to change, which I think is a Good Thing, given
that I think we never had any complaints about the current behavior.

Thanks.